<button type="button" class="app-main-btn d-flex align-items-center no-border-bg-btn w-100 cursor-pointer p-0" #targetAnchor>
  <div matInput type="text" class="flex-fill text-left">
    {{formattedValue}}
  </div>
  <img [src]="icon" *ngIf="isDisplayIcon">
</button>
<app-calender-popup
  *ngIf="anchor"
  [anchor]="anchor"
  [max]="max"
  [value]="value"
  [min]="min"
  [isPicker]="isPicker"
  [format]="format"
  [isTodayButton]="isTodayButton"
  (valueChange)="changeVal($event)" #calenderPopup></app-calender-popup>
